Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Merge branch '19613' into 19299

  • Loading branch information...
commit c1e63640c3125a096ec05aa356bc02fc29e1f987 2 parents 399c67a + 0d826cc
@bendiy bendiy authored
View
6 lib/backbone-x/package.json 100644 → 100755
@@ -2,7 +2,7 @@
"author": "John Rogelstad <john@xtuple.com>",
"name": "backbone-x",
"description": "Model framework for xTuple",
- "version": "1.0.0",
+ "version": "1.0.8",
"repository": {
"type": "git",
"url": "https://github.com/xtuple/backbone-x.git"
@@ -15,9 +15,9 @@
},
"main": "source/package.js",
"dependencies": {
- "underscore":"1.3.3",
"backbone":"0.9.2",
- "backbone-relational":"0.6.0",
+ "backbone-relational":"0.6.x",
+ "underscore":"1.4.x",
"vows":"0.7.0"
},
"scripts": {}
View
62 node-datasource/main.js
@@ -134,65 +134,6 @@ require('http').IncomingMessage.prototype.isAuthenticated = function () {
}
};
-// TODO - This can be removed after socket.io 1.0.0 update hopefully.
-// We're stomping on Static to apply this fix:
-// https://github.com/LearnBoost/socket.io/issues/932
-// https://github.com/LearnBoost/socket.io/issues/984
-/**
- * Gzip compress buffers.
- *
- * @param {Buffer} data The buffer that needs gzip compression
- * @param {Function} callback
- * @api public
- */
-require('socket.io').Static.prototype.gzip = function (data, callback) {
- "use strict";
-
- var cp = require('child_process'),
- gzip = cp.spawn('gzip', ['-9', '-c', '-f', '-n']),
- encoding = Buffer.isBuffer(data) ? 'binary' : 'utf8',
- buffer = [],
- err;
-
- gzip.stdout.on('data', function (data) {
- buffer.push(data);
- });
-
- gzip.stderr.on('data', function (data) {
- err = data + '';
- buffer.length = 0;
- });
-
- // Override Here - This was changed to 'exit' from 'close'.
- gzip.on('exit', function () {
- if (err) return callback(err);
-
- var size = 0,
- index = 0,
- i = buffer.length,
- content;
-
- while (i--) {
- size += buffer[i].length;
- }
-
- content = new Buffer(size);
- i = buffer.length;
-
- buffer.forEach(function (buffer) {
- var length = buffer.length;
-
- buffer.copy(content, index, 0, length);
- index += length;
- });
-
- buffer.length = 0;
- callback(null, content);
- });
-
- gzip.stdin.end(data, encoding);
-};
-
// Stomping on express/connect's Cookie.prototype to only update the expires property
// once a minute. Otherwise it's hit on every session check. This cuts down on chatter.
// See more details here: https://github.com/senchalabs/connect/issues/670
@@ -278,8 +219,7 @@ sslOptions.cert = X.fs.readFileSync(X.options.datasource.certFile);
*/
var app = express(),
server = X.https.createServer(sslOptions, app),
- connect = require('connect'),
- parseSignedCookie = connect.utils.parseSignedCookie,
+ parseSignedCookie = require('express/node_modules/connect').utils.parseSignedCookie,
//MemoryStore = express.session.MemoryStore,
XTPGStore = require('./oauth2/db/connect-xt-pg')(express),
io,
View
27 node-datasource/package.json
@@ -2,29 +2,28 @@
"author": "xTuple <dev@xtuple.com>",
"name": "node-datasource",
"description": "",
- "version": "0.0.1",
+ "version": "1.0.8",
"repository": {
"type": "git",
"url": "https://github.com/xtuple/xtuple.git"
},
"dependencies": {
- "underscore":"1.3.3",
"backbone":"0.9.2",
- "backbone-relational":"0.6.0",
- "nodemailer":"0.3.37",
+ "backbone-relational":"0.6.x",
+ "connect-ensure-login": "0.1.x",
+ "connect-flash":"0.1.x",
"ejs": "0.8.x",
- "express": "3.x.x",
- "oauth2orize": "0.x.x",
- "passport": "~0.1.15",
- "passport-local": "0.1.x",
+ "express": "3.1.x",
+ "nodemailer":"0.3.x",
+ "oauth2orize": "0.1.x",
+ "passport": "0.1.x",
"passport-http": "0.2.x",
"passport-http-bearer": "0.2.x",
+ "passport-local": "0.1.x",
"passport-oauth2-client-password": "0.1.x",
- "connect-ensure-login": "0.1.x",
- "socket.io":"0.9.13",
- "connect":"2.7.x",
- "connect-flash":"0.1.x",
- "request":"2.12.0"
+ "request":"2.14.x",
+ "socket.io":"0.9.x",
+ "underscore":"1.4.x"
},
"devDependencies": {
"zombie":"1.4.1",
@@ -32,7 +31,7 @@
},
"optionalDependencies": {},
"engines": {
- "node": "0.6.9"
+ "node": "0.8.x"
},
"main": "xt",
"scripts": {
View
15 node-datasource/xt/package.json
@@ -2,19 +2,18 @@
"author": "W. Cole Davis <cole@xtuple.com>",
"name": "xt",
"description": "Node.js framework for xTuple",
- "version": "1.0.0-beta",
+ "version": "1.0.8",
"repository": {
"type": "git",
"url": "https://github.com/xtuple/node-xt.git"
},
"dependencies": {
- "colors":"0.6.0-1",
- "connect":"2.4.6",
- "pg":"0.7.2",
- "socket.io":"0.9.6",
- "underscore":"1.3.3",
- "mongoose":"2.7.1",
- "bcrypt": "0.7.3"
+ "bcrypt": "0.7.x",
+ "colors":"0.6.x",
+ "connect":"2.7.x",
+ "pg":"0.12.x",
+ "socket.io":"0.9.x",
+ "underscore":"1.4.x"
},
"devDependencies": {},
"optionalDependencies": {},
Please sign in to comment.
Something went wrong with that request. Please try again.